#include <sys/types.h>
#include <unistd.h>
#include <signal.h>

volatile int datax=0;

volatile int terminate=0;

void handle_alarm(int signum){
  if(signum==SIGALRM)terminate=1;
}

int main(int argc,char *argv[]){
  unsigned long xload;
  unsigned long tim;
  int i;
  pid_t p;
  
  if(argc<3){
    printf("usage: %s <load> <seconds>\n",argv[0]);
    exit(1);
  }
  if(sscanf(argv[1],"%u",&xload)<=0){
    printf("ERROR:invalid value for load: %s\n",argv[1]);
    exit(1);
  }

  if(sscanf(argv[2],"%u",&tim)<=0){
    printf("ERROR:invalid value for time: %s\n",argv[2]);
    exit(1);
  }

  for(i=1;i<xload;i++){
    p=fork();
    if(p==0){
	i=xload;
    }
  }

  signal(SIGALRM,&handle_alarm);
  alarm(tim);
  
  while(!terminate){
    datax+=1;
  }

  return 0;
}
